import {
  select,
  json,
  geoPath,
  geoAlbersUsa,
  geoMercator,
} from 'd3';
import { feature, mesh } from 'topojson';

// Create a variable to make use of 'svg'
const svg = select('svg');
// Projection function
const projection = geoAlbersUsa();
// Path generator
const pathGenerator = geoPath().projection(projection);

// This is the data source
json(
  'https://cdn.jsdelivr.net/npm/us-atlas@3.0.0/counties-10m.json'
).then((data) => {
  // This variable retrieves data and counties
  const counties = feature(data, data.objects.counties);
  // Show counties and data to the console
  console.log(counties);
  console.log(data);
  svg
  	// Add attributes of svg
    .selectAll('path')
    .data(counties.features)
    .enter()
    .append('path')
    .attr('class', 'counties')
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text(d=>d.properties.name);
});
